<template>
    <f7-page name="gentintouch" @page:beforein="onPageBeforeIn">
		<!-- Top Navbar -->
		<f7-navbar :sliding="false" large title-large="Kontak RingSatu">
            <f7-nav-left back-link></f7-nav-left>
            <f7-nav-title class="show-small-title">Get In Touch</f7-nav-title>
		</f7-navbar>
        <f7-block class="text-align-center">
            <img :src="require('../assets/logo-text-only.png')" width="200">            
            <p style="margin: 20px;">Terima kasih telah menjadi bagian dari RingSatu. RingSatu merupakan aplikasi manajemen lingkungan tempat tinggal yang dibangun oleh komunitas kreatif binaan PT PUPUK SRIWIDJAJA PALEMBANG. Ayo kita bangun lingkungan tempat tinggal kita. Untuk kritik dan saran silahkan hubungi kami.</p>
            <div class="display-block gradient-cyan padding-small">
                <strong class="display-block margin-small">Perumahan Graha Damai Lestari</strong>
                <span class="display-block margin-small">Jalan Lebak Jaya III, Sei-Selayur, Kalidoni, Palembang, Sumatera Selatan, 30119</span>
            </div>
            <br>
            <f7-button @click="showActionSheet" fill-ios round-ios color="white" icon-f7="phone_round" class="gradient-button-blue text-align-left margin-small-top" large> Hubungi Kami</f7-button>
        </f7-block>
	</f7-page>
</template>
<script>
import { mapGetters } from 'vuex';
export default {
    name: 'GetInTouch',
	data(){
		return{};
	},
	computed: {
		...mapGetters('auth', ['user'])
    },
    methods: {
        convertAmpersand(text){
            return text.replace(/&amp;/g, '&');
        },
        onPageBeforeIn(){
            const self = this;
        },
        showActionSheet(){
            const self = this;
            const app = self.$f7;

            let buttons = [{
                text: 'Hubungi Kami',
                label: true
            }, {
                text: 'Whatsapp/Panggilan Telp 1',
                close: true,
                onClick: function(actions, e){
                    location.href = "tel:6282182500053";
                }
            }, {
                text: 'Whatsapp/Panggilan Telp 2',
                close: true,
                onClick: function(actions, e){
                    location.href = "tel:6285379163937";
                }
            }, {
                text: 'Whatsapp/Panggilan Telp 3',
                close: true,
                onClick: function(actions, e){
                    location.href = "tel:6281353206485";
                }
            }, {
                text: 'Batal',
                color: 'red',
                close: true
            }];

            let actionSheet = app.actions.create({
                buttons: buttons
            }).open();
        }
    }
}
</script>
